	.file	"fact.c"
	.text
	.p2align 2,,3
.globl fact
	.type	fact,@function
fact:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	8(%ebp), %ebx
	testl	%ebx, %ebx
	movl	$1, %eax
	jne	.L5
.L1:
	movl	-4(%ebp), %ebx
	leave
	ret
	.p2align 2,,3
.L5:
	subl	$12, %esp
	leal	-1(%ebx), %eax
	pushl	%eax
	call	fact
	imull	%ebx, %eax
	jmp	.L1
.Lfe1:
	.size	fact,.Lfe1-fact
	.ident	"GCC: (GNU) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)"
